# Український переклад VA-11 Hall-A

Ласкаво просимо до репозиторію з перекладом гри VA-11 Hall-A: Cyberpunk Bartender Action українською мовою. Скоріш за все, Ви зараз тут не через бажання пограти в перекладену гру, а через бажання взяти участь безпосередньо в перекладі. Саме для Вас є кілька секцій нижче.

## Реєстрація

Цей вебсайт – не звичайний гітхаб, тому треба спочатку створити акаунт на [сторінці реєстрації](https://git.end-play.xyz/user/sign_up) та активувати його за посиланням, що прийде на Ваш Email.  

Після підтвердження реєстрації Ви вже зможете частково брати участь в проєкті, отримавши доступ до [Issues](https://git.end-play.xyz/VA-11_Hall-A/Scripts/issues) проєкту, але цього не достатньо.  

Для продовження напишіть в ПП, вказавши Ваш айді, комусь з головних адмінів проєкту ([Profitroll](https://t.me/profitroll) або [Kusyaka](https://t.me/Kusyaka0565)) або на [електрону пошту](mailto:support@end-play.xyz) вказавши в темі листа, що Ви хочете взяти участь в перекладі. Після отримання доступу можна сміливо рухатись до наступного кроку.

## Налаштування редактора

В принципі, увесь проєкт побудований на звичайних git репозиторіях, тому редагувати текст можна в чому завгодно. Проте ми рекомендуємо використовувати для цих цілей IDE (інтегровану середу розробки) [Visual Studio Code](https://code.visualstudio.com/download), де є зручний менеджер гіт проєктів.  

Після встановлення програми можете сміливо встановити кілька аддонів, які точно не будуть зайвими під час роботи з проєктом. Вони, авжеж, не обов'язкові, але можуть полегшити Вам життя. Вкладка з ними доступна у боковій панелі (квадратики такі), а також за комбінацією клавіш `Ctrl+Shift+X`

### Пак розширень

Замість встановлення кожного розширення вручну, можна завантажити [набір розширень](https://git.end-play.xyz/VA-11_Hall-A/VSCodePack) спеціально створений для роботи над цим перекладом. Для його встановлення треба завантажити .VSIX файл з [останнього релізу](https://git.end-play.xyz/VA-11_Hall-A/VSCodePack/releases/latest), перейти в меню розширень, натиснути на три крапки зверху та обрати "Встановити з VSIX". Після обрання завантаженого з гіту паку, VSCode встановить всі аддони з паку.

### Розширення

* [Bookmarks](https://marketplace.visualstudio.com/items?itemName=alefragnani.Bookmarks)
* [Code Spell Checker](https://marketplace.visualstudio.com/items?itemName=streetsidesoftware.code-spell-checker)
* [Code Spell Checker - Ukrainian](https://marketplace.visualstudio.com/items?itemName=streetsidesoftware.code-spell-checker-ukrainian)
* [Gitlens](https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens)
* [Gremlins tracker](https://marketplace.visualstudio.com/items?itemName=nhoizey.gremlins)
* [Linter](https://marketplace.visualstudio.com/items?itemName=fnando.linter)
* [markdownlint](https://marketplace.visualstudio.com/items?itemName=DavidAnson.vscode-markdownlint)
* [Material Icon Theme](https://marketplace.visualstudio.com/items?itemName=PKief.material-icon-theme)

Після встановлення розширень можна переходити до найцікавішої частини – безпосередньо перекладу та взаємодії з файлами. У боковій панелі Ви можете знайти вкладку Source Control (гілочка така), яку також можна викликати комбінацією `Ctrl+Shift+G+G`. Оберіть її та слідуйте інструкціям, щоб встановити Git.  

Після встановлення перезапустіть редактор та знову відкрийте "гілочку" – Source Control. Там з'явиться можливість клонування репозиторію. Оберіть "Клонувати репозиторій" та введіть адресу нашого репозиторію: `https://git.end-play.xyz/VA-11_Hall-A/Scripts.git`  

Після клонування повертайтесь до дерева проєкту (`Ctrl+Shift+E` або найвища вкладка в боковому меню) та можна редагувати :)

## Надсилання змін

Авжеж, це все налаштування редактора було не заради лише тільки редагування тексту. Тепер ми розглянемо дещо важливіші речі. Після того, як Ви написали свої зміни в тексті – їх треба завантажити на сервер. Збережіть файл, над яким працюєте, та відкрийте Source Control. Там з'явиться лист відредагованих Вами файлів. Натисніть плюсик, щоб додати їх до комміту – так називається одна одиниця надісланих змін. Комміт може включати кілька файлів одночасно. Також Ви можете розбити по одному файлу на комміт та додати кілька коммітів одночасно. Не забувайте, що текст комміту ("Message") не може бути порожнім. Напишіть туди кілька слів що було зроблено. Пам'ятайте, що кількість символів обмежена, тому пишіть по ділу. Після того, як список файлів на відправку буде порожнім, а всі файли будуть в коммітах – з'явиться кнопка "Sync Changes". Натисніть її та це відправить всі зміни відправляться на сервер.  

Вітаю з першим пушем! Тепер Ви почесний контріб'ютор проєкту. Інколи синхронізуйтесь з сервером, завдяки цьому Ви будете бачити нові зміни інших учасників перекладу, а також доведеться менше вирішувати конфлікти у файлах, коли кілька людей одночасно щось редагували й треба буде клацати що залишити, а що прибрати. Це можна зробити натиснувши "Synchronize Changes" у лівому нижньому кутку редактору або тикнувши "Fetch" у меню Source Control.  

Більше інформації по тому, як користуватись гітом у VS Code Ви зможете знайти в інтернеті. Він великий, на всіх вистачить. Приємного перекладання!
